package com.lovecoding.day10.ex03;

public class Teacher {
    private String name = "2 tom";
    public Teacher(){
        System.out.println("this is a teacher.");
        //super();//编译报错，因为super()只能出现在构造器的首行

    }

    public static void main(String[] args){
        Teacher tea = new Teacher();
        //System.out.println(this.name);//编译报错 在静态方法中不能出现this
    }
}
